﻿using EJGrid.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.Models;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Data.Common;
using System.Data.SqlClient;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Xml;

namespace EJGrid.Controllers
{
    public class HomeController : Controller
    {
        static List<Employee> employeesList = new List<Employee>() 
        {
          new Employee(){ Id = 1, Name = "Emp1", Designation = "SE1", LoginTime = new DateTime(1996,07,04,12,08,30), Verified = true  },
          new Employee(){ Id = 2, Name = "Emp2", Designation = "SE4", LoginTime = new DateTime(1996,07,05,01,15,33), Verified = true  },
          new Employee(){ Id = 3, Name = "Emp3", Designation = "SE1", LoginTime = new DateTime(1996,07,07,09,07,35), Verified = false  },
          new Employee(){ Id = 4, Name = "Emp4", Designation = "SE3", LoginTime = new DateTime(1996,07,08,11,08,37), Verified = true  },
          new Employee(){ Id = 5, Name = "Emp5", Designation = "SE2", LoginTime = new DateTime(1996,07,09,02,03,40), Verified = false  },
          new Employee(){ Id = 6, Name = "Emp6", Designation = "SE1", LoginTime = new DateTime(1996,07,04,06,01,43), Verified = true  },
          new Employee(){ Id = 7, Name = "Emp7", Designation = "SE5", LoginTime = new DateTime(1996,07,09,04,05,50), Verified = false  },
          new Employee(){ Id = 8, Name = "Emp8", Designation = "SE1", LoginTime = new DateTime(1996,07,10,03,03,00), Verified = true  },
        };
        public class Employee
        {
            public int Id { get; set; }
            public string Name { get; set; }
            public string Designation { get; set; }
            public DateTime LoginTime { get; set; }
            public bool Verified { get; set; }
        }
        public ActionResult Index()
        {
            ViewBag.dataSource = employeesList;
            return View(); 
           
        }

       
        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}