﻿using EJGrid.Models;
using Microsoft.OData.Core.UriParser;
using Syncfusion.JavaScript.Models;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Net;
using System.Reflection;
using System.Threading.Tasks;
using System.Web;
using System.Web.Http;
using System.Web.Mvc;
using System.Web.OData;
using System.Web.OData.Query;
using System.Web.OData.Routing;
using System.Web.Script.Serialization;

namespace EJGrid.Controllers
{
    public class OrdersController : ODataController
    {
        // GET: Orders
        NORTHWNDEntities db = new NORTHWNDEntities();


        //public PageResult<Order> Get(ODataQueryOptions opts)
        //{
        //    List<Order> emp = db.Orders.ToList();


        //    return new PageResult<Order>(opts.ApplyTo(emp.AsQueryable()) as IEnumerable<Order>, null, emp.AsQueryable().Count());
        //}
        [EnableQuery]
        public IQueryable<Order> Get()
        {
            return db.Orders.Take(5);
        }

        // PUT odata/Orders(5)

       
        public async Task<Order> Put(int key, Order order) //Edit operation in database
        {
            
           var entity =  await db.Orders.FindAsync(order.OrderID);
           db.Entry(entity).CurrentValues.SetValues(order);
            await db.SaveChangesAsync();
            return order;
        }
        
        //// POST odata/Orders
        public async Task<Order> Post(Order order) //Add Operation in database
        {
            
            db.Orders.Add(order);
            await db.SaveChangesAsync();
            return order;
        }


        //// DELETE odata/Orders(5)
        public async Task<IHttpActionResult> Delete([FromODataUri] int key)
        {
            
            var od = await db.Orders.FindAsync(key);
            if (od == null)
            {
                return NotFound();
            }

            db.Orders.Remove(od);
            await db.SaveChangesAsync();
            return StatusCode(HttpStatusCode.NoContent);
        }
    }
    ////public class DateTimeWrapper
    ////{
    ////    private readonly DateTime _dt;

    ////    public static implicit operator DateTime(DateTimeWrapper dtr)
    ////    {
    ////        return dtr._dt;
    ////    }


    ////}
}