﻿namespace EJGrid.Models
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web;
    using EJGrid.Models;
    using System.Data.SqlClient;
    using System.Data;
    using System.Data.Entity;
    using System.Web.Http;

    
    public static class OrderRepository
    {
        public static IList<EditableOrder> GetAllRecords()
        {
            //HttpConfiguration configuration = new HttpConfiguration();
            //configuration.SetTimeZoneInfo(TimeZoneInfo.utc);
            IList<EditableOrder> orders =  (from ord in new NORTHWNDEntities().Orders
                                                                  select new EditableOrder
                                                                  {
                                                                      OrderID = ord.OrderID,
                                                                      OrderDate = ord.OrderDate,
                                                                      CustomerID = ord.CustomerID,
                                                                      EmployeeID = ord.EmployeeID,
                                                                      Freight = ord.Freight,
                                                                      ShipAddress = ord.ShipAddress,
                                                                      ShipCity = ord.ShipCity,
                                                                      ShipName = ord.ShipName,
                                                                      ShipPostalCode = ord.ShipPostalCode,
                                                                      ShipRegion = ord.ShipRegion,
                                                                      Country = ord.ShipCountry
                                                                  }).ToList();
            foreach (var order in orders)
            {
                if (order.Freight > 30)
                {
                    order.Verified = true;
                    order.Child = new ChildItem(){ Test=25.2m};

                }
                else
                {
                    order.Verified = false;
                    order.Child = new ChildItem() { Test = 52.2m };
                }
                //if (order.EmployeeID == 1)
                //    order.Country = null;

            }
            return orders;
        }
        //public static IList<EMployee> GetAllRecords2()
        //{
        //    IList<EMployee> orders = (from ord in new Model1().EmployeeViews
        //                              select new EMployee
        //                                   {
        //                                         EmployeeID = ord.EmployeeID,
        //                                          Title= ord.Title,
        //                                          FirstName = ord.FirstName,
        //                                          City = ord.City,
        //                                          Country = ord.Country
        //                                   }).ToList();
        //    var ords = GetAllRecords();
        //    foreach(var ord in orders)
        //    ord.TrueCount = ords.Where(ds => (ds.Verified == true && ds.EmployeeID == ord.EmployeeID)).Count();
        //    return orders;
        //}
        //public static void Delete(List<Order> Order)
        //{
        //    DataClasses1DataContext db = new DataClasses1DataContext();
        //    foreach (var ord in Order)
        //    {
        //        var rec = db.Orders.Find(ord.OrderID);
        //        db.Orders.Remove(rec);
        //        db.SaveChanges();
        //    }
        //}


        //public static void Update(List<Order> order)
        //{

        //    NORTHWNDEntities db = new NORTHWNDEntities();
        //    foreach (var ord in order)
        //    {
        //        db.Entry(ord).State = EntityState.Modified;


        //        db.SaveChanges();
        //    }
        //}
        

        
    }
}
